# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class FormserviceapiformsrendererrequestItems(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'value': 'JsonSchemaImpl',
        'singleton': 'bool'
    }

    attribute_map = {
        'value': 'value',
        'singleton': 'singleton'
    }

    def __init__(self, value=None, singleton=None):  # noqa: E501
        """FormserviceapiformsrendererrequestItems - a model defined in Swagger"""  # noqa: E501
        self._value = None
        self._singleton = None
        self.discriminator = None
        if value is not None:
            self.value = value
        if singleton is not None:
            self.singleton = singleton

    @property
    def value(self):
        """Gets the value of this FormserviceapiformsrendererrequestItems.  # noqa: E501


        :return: The value of this FormserviceapiformsrendererrequestItems.  # noqa: E501
        :rtype: JsonSchemaImpl
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this FormserviceapiformsrendererrequestItems.


        :param value: The value of this FormserviceapiformsrendererrequestItems.  # noqa: E501
        :type: JsonSchemaImpl
        """

        self._value = value

    @property
    def singleton(self):
        """Gets the singleton of this FormserviceapiformsrendererrequestItems.  # noqa: E501


        :return: The singleton of this FormserviceapiformsrendererrequestItems.  # noqa: E501
        :rtype: bool
        """
        return self._singleton

    @singleton.setter
    def singleton(self, singleton):
        """Sets the singleton of this FormserviceapiformsrendererrequestItems.


        :param singleton: The singleton of this FormserviceapiformsrendererrequestItems.  # noqa: E501
        :type: bool
        """

        self._singleton = singleton

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(FormserviceapiformsrendererrequestItems, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, FormserviceapiformsrendererrequestItems):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
